## EMBOSS: maskseq

# Program maskseq

## Function

Mask off regions of a sequence

## Description

This simple editing program allows you to mask off regions of a sequence with a specified letter.

Why would you wish to do this? It is common for database searches to mask out low-complexity or biased composition regions of a sequence so that spurious matches do not occur. It is just possible that you have a program that has reported such biased regions but which has not masked the sequence itself. In that case, you can use this program to do the masking.

You may find other uses for it.

## Usage

To mask off bases 10 to 12 from a sequence 'gatta.seq' and write to the new sequence file 'gatta2.seq':

    % maskseq gatta.seq gatta2.seq -reg=10-12

To mask off bases 20 to 30 from a sequence 'hdh.seq' using the character 'n' and write to the new sequence file 'hdh2.seq':

    % maskseq hdh.seq hdh2.seq -reg=20-30 -mask=n

To mask off the regions 20 to 23, 34 to 45 and 88 to 90 in 'yuy.seq':

    % maskseq yuy.seq yuy2.seq -reg=20-23,34-45,88-90

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          sequence   Sequence USA
       -regions            range      Regions to mask.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are separated by any non-digit,
                                      non-alpha character.
                                      Examples of region specifications are:
                                      24-45, 56-78
                                      1:45, 67=99;765..888
                                      1,5,8,10,23,45,57,99
      [-outseq]            seqout     Output sequence USA

       Optional qualifiers:
       -maskchar           string     Character to use when masking.
                                      Default is 'X' for protein sequences, 'N'
                                      for nucleic sequences.

       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-regions | Regions to mask. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99 | Sequence range | None
[-outseq] (Parameter 2) | Output sequence USA | Writeable sequence | <sequence>.format
Optional qualifiers | Allowed values | Default
-maskchar | Character to use when masking. Default is 'X' for protein sequences, 'N' for nucleic sequences. | Any string is accepted | 'X' for protein, 'N' for nucleic
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

This program reads in a single sequence file.

You can specify a file of ranges to mask out by giving the '-regions' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-regions @myfile').

The format of the range file is:

- Comment lines start with '#' in the first column.
- Comment lines and blank lines are ignored.
- The line may start with white-space.
- There are two positive (integer) numbers per line separated by one or more space or TAB characters.
- The second number must be greater or equal to the first number.
- There can be optional text after the two numbers to annotate the line.
- White-space before or after the text is removed.

An example range file is:

    # this is my set of ranges
    12   23
     4   5       this is like 12-23, but smaller
    67   10348   interesting region

## Output file format

Single sequence file.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

You can mask out a complete sequence.

## Diagnostic Error Messages

Several warning messages about malformed region specifications:

- Non-digit found in region ...
- Unpaired start of a region found in ...
- Non-digit found in region ...
- The start of a pair of region positions must be smaller than the end in ...

## Exit status

It exits with status 0, unless a region is badly constructed.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

maskfeat masks parts of the input sequence that are annotated features whose feature-names match the user-specified names.

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Completed 3 March 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments